Subject: bug#3803 closed by Glenn Morris <[email-masked]> (Re: bug#3803: 23.1.50; compilation.txt compilation-perl and compilation-weblint "symbol" names)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 10 Jul 2009 04:50:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3803: 23.1.50; compilation.txt compilation-perl and compilation-weblint "symbol" names

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
3803: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3803
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3803: 23.1.50; compilation.txt compilation-perl and compilation-weblint "symbol" names
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 10 Jul 2009 00:44:55 -0400

Thanks.

Subject: 23.1.50; compilation.txt compilation-perl and compilation-weblint "symbol" names
From: Kevin Ryde <[email-masked]>
To: [email-masked]
Date: Fri, 10 Jul 2009 09:37:31 +1000

The symbol names for my compilation-perl and compilation-weblint
patterns got updated in the code (good), but not in the remarks in
etc/compilation.txt, per below.

Incidentally, in the interim I've changed what I use for the Test /
Test2 / Test::Harness patterns.  If I can remember why I'll post an
update ...

In GNU Emacs 23.1.50.2 (i586-pc-linux-gnu, GTK+ Version 2.16.4)
 of 2009-07-07 on blah.blah
configured using `configure  'CFLAGS=-O -g' '--prefix=/down/emacs/b/inst' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default-enable-multibyte-characters: t

--- compilation.txt	24 Feb 2009 08:41:37 +1100	1.26
+++ compilation.txt	09 Jul 2009 17:00:24 +1000	
@@ -396,7 +396,7 @@
 
 * Podchecker error messages, per Pod::Checker
 
-symbol: compilation-perl--Pod::Checker
+symbol: perl--Pod::Checker
 
 *** ERROR: Spurious text after =cut at line 193 in file foo.pm
 *** ERROR: =over on line 37 without closing =back at line EOF in file bar.pm
@@ -405,21 +405,21 @@
 
 * Perl Test module error messages
 
-symbol: compilation-perl--Test
+symbol: perl--Test
 
 # Failed test 1 in foo.t at line 6

 * Perl Test::Harness output
 
-symbol: compilation-perl--Test::Harness
+symbol: perl--Test::Harness
 
 NOK 1# Test 1 got: "1234" (t/foo.t at line 46)

 * Perl HTML::Lint::Error::as_string()
 
-symbol: compilation-weblint
+symbol: weblint
 
 index.html (13:1) Unknown element <fdjsk>